
import QtQuick 1.1
import com.nokia.meego 1.0

PageStackWindow {
    initialPage: Page {
        orientationLock: PageOrientation.LockPortrait

        Text {
            anchors.centerIn: parent
            width: parent.width * .8
            font.pixelSize: 20
            color: 'white'
            text: '<p style="text-align: center;">
            <b>Volume+ as camera shutter active</b><br><br>
            While this application is running, you can<br>
            use the <b>Volume +</b> button on your N9<br>
            to capture photos in the camera application.<br>
            <br><br>
            http://thp.io/2012/camerra/
            </p>'
        }

        CheckBox {
            x: 50
            y: 50
            text: 'Launch Camera app on start'
            checked: settings.get('startupLaunch')
            onClicked: settings.set('startupLaunch', checked)
        }

        CheckBox {
            x: 50
            y: 110
            text: 'Focus mode (takes longer)'
            checked: settings.get('withFocus')
            onClicked: settings.set('withFocus', checked)
        }

        Button {
            anchors.horizontalCenter: parent.horizontalCenter
            y: 190
            text: 'Launch Camera app now'
            onClicked: camerra.launchCameraUI()
        }

        Image {
            anchors {
                horizontalCenter: parent.horizontalCenter
                bottom: parent.bottom
            }
            source: 'camerra-instructions.png'
        }

        Button {
            anchors {
                right: parent.right
                bottom: parent.bottom
                margins: 10
            }
            width: parent.width * .5
            text: 'Get more apps'
            onClicked: Qt.openUrlExternally('http://store.ovi.com/publisher/Thomas+Perl/')
        }
    }

    Component.onCompleted: {
        theme.inverted = true
    }
}
